// Application : Application
// RP3Print.prg , Created : 24. 4. 2024   14:57
// User : misor

FUNCTION RP3Print()

	LOCAL lReportName AS STRING	
	LOCAL lReport AS ReportPro3.rpReport
	LOCAL lApp AS classmate.cApp
	LOCAL lOwnerWindow AS classmate.cWindow
	LOCAL lDataPath AS STRING
	LOCAL lSection AS LONGINT
	LOCAL lSections AS LONGINT
	LOCAL lTableName AS STRING
	
	lReportName := System.IO.Path.Combine(WorkDir(), "RP3Test.rpt")
	lDataPath := System.IO.Path.Combine(WorkDir(), "Data.dbf")
	
	GenerateValues(lDataPath)
	
	lOwnerWindow := classmate.cWindow{MainWindow:Handle()}
	
	lApp := classmate.cApp{}
	lApp:AppName := lOwnerWindow:Caption
	
	cmGUIDLLInit(lApp)
	ReportProInit()

	UpdateWindow(lOwnerWindow:Handle(0))	

	lReport := ReportPro3.rpReport{lOwnerWindow}	
	lReport:LoadReport(lReportName)
	
	IF lReport:IsValid
		
		lSections := 0
		lReport:GetReportIntAttribute(RP_RPT_ATTR_SECTION_COUNT, REF lSections)
		
		FOR lSection := 1 UPTO lSections
			
			lTableName := ""
			lReport:GetSectionStringAttribute(DWORD(_CAST, lSection), RP_SECTION_ATTR_PRIMARY_TABLE, REF lTableName)			
			lReport:SetTableStringAttribute(DWORD(_CAST, lSection), lTableName, RP_TABLE_ATTR_TABLE, lDataPath)
			
		NEXT
    
		lOwnerWindow:SetFocus()
		lReport:Preview()
//		lReport:Print()		
				
		lReport:CloseReport()
		lReport:Close()
		
	ENDIF
	
	IF lApp:ActiveWindow != NULL
		
		DestroyWindow(lApp:ActiveWindow:Handle(0))
		
	ENDIF

RETURN NULL
