CLASS StandardShellWindow INHERIT ShellWindow

	PROTECT oPrinter      AS PrintingDevice


METHOD Init( oOwnerApp ) CLASS StandardShellWindow

	LOCAL oSB AS StatusBar
	
	SUPER:Init( oOwnerApp )
	
	SetDeleted(TRUE)

	oSB := SELF:EnableStatusBar()
	oSB:DisplayTime()

	SELF:Menu := EmptyShellMenu{SELF}

	SELF:Caption := "Standard MDI Application"
	
	oPrinter := PrintingDevice{}
	
	RETURN

METHOD FileOpen() CLASS StandardShellWindow

	TRY
	
		RP3Print()
		
/*	
		LOCAL oOD AS OpenDialog
	
		(oOD := OpenDialog{SELF, "*.dbf"}):Show()
		
		IF !Empty(oOD:FileName)
			SELF:DoOpenFile(oOD:FileName, oOD:ReadOnly)
		ENDIF
*/	
	CATCH Ex AS System.Exception
		
		LOCAL lErrorBox AS ErrorBox
		
		lErrorBox := ErrorBox{SELF, Ex:Message}
		lErrorBox:Show()
		
	END TRY

RETURN SELF	

METHOD FileExit() CLASS StandardShellWindow

	SELF:EndWindow()
	
RETURN SELF	

METHOD FilePrinterSetup() CLASS StandardShellWindow

	oPrinter:Setup()
	
RETURN SELF	
	
METHOD DoOpenFile(cFileName, lReadOnly) CLASS StandardShellWindow

	LOCAL oTB AS TextBox
	LOCAL oNewChild AS StdDataWindow

	IF (Len(cFileName) > 3 ) .AND. (Upper(Right(cFileName, 4)) == ".DBF")
		oNewChild := StdDataWindow{SELF, cFileName, lReadOnly}
	  oNewChild:ViewAs(#FormView)
  	oNewChild:Show()
	ELSE
		oTB := TextBox{SELF, "File Open Error", "Cannot open " + cFileName + " - Not a DBF file"}
		oTB:Type := BUTTONOKAY
		oTB:Show()
	ENDIF

RETURN SELF	

METHOD WindowCascade() CLASS StandardShellWindow

	SELF:Arrange(ARRANGECASCADE)

RETURN SELF

METHOD WindowIcon() CLASS StandardShellWindow

	SELF:Arrange(ARRANGEASICONS)

RETURN SELF

METHOD WindowTile() CLASS StandardShellWindow

	SELF:Arrange(ARRANGETILE)
	
RETURN SELF

ACCESS Printer CLASS StandardShellWindow
	
	RETURN oPrinter

END CLASS











CLASS StdDataWindow INHERIT DataWindow

	
METHOD Init(oParentWindow, sFileName, lReadOnly, oServer) CLASS StdDataWindow

	LOCAL sCaption AS STRING

	SUPER:Init(oParentWindow)
	
	SELF:Menu := StandardShellMenu{SELF}
	SELF:ToolBar:PressItem(IDM_StandardShellMenu_View_Form_ID)
	sCaption  := "Browse Database: "

	IF !IsNil(oServer)
		SELF:Use(oServer)
		SELF:Caption := sCaption + oServer:Name
	ELSE
		SELF:Use(CreateInstance(#DBServer, sFileName, , lReadOnly))
		SELF:Caption := sCaption + sFileName
	ENDIF	

RETURN

METHOD FileClose() CLASS StdDataWindow

	SELF:Server:Close()

 	SELF:EndWindow()

RETURN SELF

METHOD FilePrint() CLASS StdDataWindow

	SELF:Print(SELF:Owner:Printer)

RETURN SELF	

METHOD ViewForm() CLASS StdDataWindow

	SELF:ToolBar:UnPressItem(IDM_StandardShellMenu_View_Table_ID)
	SELF:ToolBar:PressItem(IDM_StandardShellMenu_View_Form_ID)
	
RETURN SUPER:ViewForm()	

METHOD ViewTable() CLASS StdDataWindow

	SELF:ToolBar:UnPressItem(IDM_StandardShellMenu_View_Form_ID)
	SELF:ToolBar:PressItem(IDM_StandardShellMenu_View_Table_ID)
	
RETURN SUPER:ViewTable()

END CLASS	

